%{?nodejs_find_provides_and_requires}
%global enable_tests 1

Name:           nodejs-object-keys
Version:        1.0.9
Release:        %mkrel 2
Summary:        An Object.keys replacement, in case Object.keys is not available

License:        MIT
URL:            https://github.com/ljharb/object-keys
Source0:        https://github.com/ljharb/object-keys/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Patch out indexof as node doesn't need it and it is missing
# license text and has no clear upstream
Patch0:         nodejs-object-keys-indexof.patch
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

Group:          Development/Other

BuildRequires:  nodejs-packaging

BuildRequires:  npm(is)
%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
%{summary}.


%prep
%setup -q -n object-keys-%{version}
%patch0 -p1
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/object-keys
cp -pr package.json index.js isArguments.js %{buildroot}%{nodejs_sitelib}/object-keys
%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%{__nodejs} test/index.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/object-keys




%changelog
* Wed May 25 2016 neoclust <neoclust> 1.0.9-2.mga6
+ Revision: 1018346
- Enable tests

* Tue May 17 2016 joequant <joequant> 1.0.9-1.mga6
+ Revision: 1016338
- fix group
- imported package nodejs-object-keys


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 22 2015 Tom Hughes <tom@compton.nu> - 1.0.9-1
- Initial build of 1.0.9
